<?php
/*
ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
*/

$target_image_dir = "../../data/uploads/otzyvy";
$target_file = ""; 
$target_image_url = "/data/uploads/otzyvy/"; //"https://".$_SERVER['HTTP_HOST'].

if(!is_dir($target_image_dir)) mkdir($target_image_dir, 0777, true);
define('KB', 1024);
define('MB', 1048576);
define('GB', 1073741824);
define('TB', 1099511627776);

function checkImageAttrs($image){
	if(getimagesize($image["tmp_name"]) === false){	  
		return "Файл не является изображением!";
	}

	if ($image["size"] > 10*MB){
		return "Файл очень большой!";		
	}

	$imageFileType = pathinfo($image["name"],PATHINFO_EXTENSION);

	if($imageFileType!="jpg" && $imageFileType!="png" && $imageFileType!="jpeg"  && $imageFileType!="gif" ){
		return "Разрешены только файлы JPG, JPEG, PNG и GIF!";
	}
	return "OK";
}

$response =  array('data' => [], 'success' => false, "status" => 499 );
$fotoLink = json_encode($_FILES);

if(checkImageAttrs($_FILES["image"])=="OK" && !empty($_FILES["image"]['tmp_name'])){
	$imagen = $_FILES["image"];					 
	list($width, $height) = getimagesize($imagen['tmp_name']);
	$imageFileType = pathinfo($imagen["name"],PATHINFO_EXTENSION);
	$fileNameCoded = uniqid('', false).'.'. strtolower($imageFileType);
	$target_file = $target_image_dir.'/'.$fileNameCoded;
	$fotoLink = $target_file;		

	if (move_uploaded_file($imagen["tmp_name"], $target_file)){
		strtolower($imageFileType);	
		$fotoLink = $target_image_url.$fileNameCoded;
		$data = array(	"type" => "image/".strtolower($imageFileType),									
						"width" => $width ,
						"height" => $height,							
						"name" => "",					  
						"link" => $fotoLink);
		$response =  array('data' => $data, 'success' => true, "status" => 200 );
	}
	$response =  array('data' => $data, 'success' => true, "status" => 200 );
	echo json_encode($response);
}else{
	$data = array( "name" => checkImageAttrs($_FILES["image"]), "link" => "");
	$response =  array('data' => $data, 'success' => false, "status" => 499 );
	echo json_encode($response);
}
?>